Bug 769992

Summary: [abrt] fontforge-20110222-4.fc16: Default_Properties: Process /usr/bin/fontforge was killed by signal 8 (SIGFPE)
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: fontforgeAssignee: Kevin Fenzi <kevin>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: fonts-bugs, kevin, paul
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:4e2151a1d8103868ff44a8f1497cd4709e9d2c6d
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 13:24:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: dso_list
none
File: maps
none
File: backtrace
none
Font that produces crash none

Description Elliott Sales de Andrade 2011-12-22 17:47:51 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        fontforge
crash_function: Default_Properties
executable:     /usr/bin/fontforge
kernel:         3.1.5-1.fc16.x86_64
pid:            3698
pwd:            /home/zero-one
reason:         Process /usr/bin/fontforge was killed by signal 8 (SIGFPE)
time:           Thu 22 Dec 2011 05:29:01 PM EST
uid:            1000
username:       zero-one

backtrace:      Text file, 80991 bytes
dso_list:       Text file, 5053 bytes
maps:           Text file, 44093 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:513b62aebf666f00864c6f1ebea4dc82b2bc5012
:3ed9e61c2b7e707ce244816335776afa2ad0307d
:aa733447f84020c94a66814e501a36e248cbb43d
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:87461d97d0ba0bd94e4d74ff0879190b67b326c5
:6ae19b07608683ea0d76f1406c6d50d5a2793ecc
:d0c6e13f00a20952a72a945c929efb175fd760e3
:ab59942678bcdecb23756804dcd0aac63ccc1669
:30af62b93e2ab7dbaf39c52e346cd52101b4b590
:3d7445fcfec84df0bd46f12e5540d6ab6db2ec9d
:f0d50e3af2dfee021a327fb85a993a2312a98145
:638db099ff5fb986d1a092629d1bb1dca5be4904
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:b502249bcf2a4f465feeb8b9578c80cda6f4103d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:8631fa022a75e4bfbd78f96ad368f88456e39cfe
:c64ae11db2f40081de9a6983295b7e2105556695
:ab93f5a6105938b598a9eb4321bcfb9c244945d5
:48aea888319e1848137073c9cbde54a4c2a731c9
:1d1e7527a6b5fd829fe8c097bea4c62b2d0f2df9
:36c3026b958ed92321d0531a483442a9c5a957e9
:2f884a17559b8d3954348fdf2131980eac9a79f0
:b0eabf9093defbfdd0857ea3ed1a4563b743434e
:4c842320387ff7f6f91b7842b223c16518be909f
:e2e67b3ae2579e1667b73ad385f61552931024e9
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:07470201df55a5254027d05fa4dc509b10f2986a
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:dc729005f811417fddf05fe15b27c01257fed480
:e5d7ac2dfe435e205e491f7ce827563859fca4f4
:b7633dbfe4880a163b4059184cb20c37cfaf7521
:3e2404bd469800afd61eda83d0292a2165ef0db0
:c394c720f0727b738128393fbf26ebd355f42498
:54a066b1f8ae391050d51221778b39261283cf51
:930141e14bc90a585553dfbe2c6661806af11f06
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:e02146cbd7b3747790cf4808baa58dc78c2e0042
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:d203a42e4c417fbf0c6ab96ce6f7946ec8ac0435
:0949b493f01e0553822be3bd14def9dbe79b804f

comment:
:1. Open a font
:2. Open a glyph
:3. Open "BDF Info" page
:4. Select "X_HEIGHT"
:5. Click "Default This"

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=VeniVidiVici.HOME
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ff831396568380a65b4ba5f100000011-1324586344.825652-2015212122
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-aLjk9N
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=zero-one
:USERNAME=zero-one
:MAIL=/var/spool/mail/zero-one
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/zero-one/code/android-sdk-linux_x86/tools:/home/zero-one/code/android-sdk-linux_x86/platform-tools:/home/zero-one/.local/bin
:DESKTOP_SESSION=gnome
:GSETTINGS_SCHEMA_DIR=/home/zero-one/.local/share/glib-2.0/schemas/
:QT_IM_MODULE=xim
:PWD=/home/zero-one
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1492
:LANG=en_CA.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=en_CA.utf8
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/zero-one
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=zero-one
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2YezJ8HwEG,guid=9495a12067e280ae9ae60b9b00000055
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:MTN_MERGE=meld
:XDG_RUNTIME_DIR=/run/user/zero-one
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-zero-one-8phhKd/database
:'module=() {  eval `/usr/bin/modulecmd $modules_shell $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1499,unix/unix:/tmp/.ICE-unix/1499
:GPG_AGENT_INFO=/tmp/keyring-aLjk9N/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-aLjk9N/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-fontforge.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3698

var_log_messages:
:Dec 22 17:23:34 VeniVidiVici yum[3674]: Installed: fontforge-20110222-4.fc16.x86_64
:Dec 22 17:29:01 VeniVidiVici kernel: [ 6681.618693] fontforge[3698] trap divide error ip:7ff290f0fd54 sp:7fffaed127e0 error:0 in libfontforge.so.1.0.0[7ff290e68000+36f000]
:Dec 22 17:29:02 VeniVidiVici abrt[3711]: Saved core dump of pid 3698 (/usr/bin/fontforge) to /var/spool/abrt/ccpp-2011-12-22-17:29:01-3698 (18186240 bytes)
Comment 1 Elliott Sales de Andrade 2011-12-22 17:47:54 EST
Created attachment 549248 [details]
File: dso_list
Comment 2 Elliott Sales de Andrade 2011-12-22 17:47:56 EST
Created attachment 549249 [details]
File: maps
Comment 3 Elliott Sales de Andrade 2011-12-22 17:47:58 EST
Created attachment 549250 [details]
File: backtrace
Comment 4 Kevin Fenzi 2011-12-23 15:32:12 EST
What were you doing when this happened? 

Can you duplicate it?
Comment 5 Elliott Sales de Andrade 2011-12-23 16:55:23 EST
Created attachment 549388 [details]
Font that produces crash

I have attached the file I opened in FontForge. It didn't seem to work in the Gnome font viewer, so I tried in FontForge. I guess after further reading it's really a set of cursors, but it still opens.

Then you just need to follow my previous instructions, Open any glyph, Open BDF Info, Select X_HEIGHT, and click Default This.
Comment 6 Fedora End Of Life 2013-01-16 18:05:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Elliott Sales de Andrade 2013-01-16 19:37:12 EST
You can still get the same crash using fontforge-20120731b-1.fc17.
Comment 8 Fedora End Of Life 2013-07-04 02:02:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 13:24:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Elliott Sales de Andrade 2013-08-01 17:29:43 EDT
Sorry for the delay. Still reproduceable on fontforge-20120731b-7.fc19.x86_64.
Comment 11 Fedora End Of Life 2015-01-09 16:55:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Elliott Sales de Andrade 2015-01-09 21:59:53 EST
Still true.
Comment 13 Fedora End Of Life 2015-11-04 10:45:11 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Elliott Sales de Andrade 2015-11-04 16:06:58 EST
Still crashing with fontforge-20141230-2.fc22.x86_64.
Comment 15 Elliott Sales de Andrade 2015-11-13 20:22:06 EST
Still crashing with fontforge-20150824-1.fc23.x86_64.